Subject: bug#5955: closed (Re: bug#5955: completions in M-x find-library include .elc files)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 19 Aug 2010 21:33:02 +0000

Your bug report

#5955: completions in M-x find-library include .elc files

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
5955: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5955
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5955: completions in M-x find-library include .elc files
From: Stefan Monnier <[email-masked]>
To: "Aaron S. Hawley" <[email-masked]>
Date: Thu, 19 Aug 2010 23:24:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

>> BTW, please try the patch below, to see if you like the
>> resulting behavior.
> Interesting idea.  Show matches for more than one library without
> suffixes, but if there is only one match show the possible extensions.
> I'd say this is an improvement for users over the current behavior.

I've installed this change (well, a slightly different version).

> However, some libraries names are a prefix for another.  So really,

Yes, it's not perfect, but I think it's good enough.  I don't think it's
a clean enough behavior to warrant documenting.

        Stefan

Subject: completions in M-x find-library include .elc files
From: "Aaron S. Hawley" <[email-masked]>
To: [email-masked]
Date: Thu, 15 Apr 2010 22:28:57 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Typing TAB or ? in M-x find-library shows .el and .elc files when it
probably should just be the name of the library without the extension.
 Appears that this is a general problem with
locate-file-completion-table in files.el.  It appears to put all files
in to the completion table without condition.  The fix is just
removing the first `push' operation.

=== modified file 'lisp/files.el'
--- lisp/files.el	2010-03-31 01:51:54 +0000
+++ lisp/files.el	2010-04-16 01:57:24 +0000
@@ -760,7 +760,6 @@
 	(when (file-directory-p dir)
 	  (dolist (file (file-name-all-completions
 			 string-file dir))
-	    (push file names)
 	    (when (string-match suffix file)
 	      (setq file (substring file 0 (match-beginning 0)))
               (push file names)))))

Hope this can get fixed.  I'd love to have the size of my
*completions* buffers reduced by a factor of 3!

Thanks for Emacs,
/a